Stop a VM
curl --request POST \
--url https://api.cloud.onidel.com/vm/{vm_id}/stop \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe",
"force_stop": false
}
'import requests
url = "https://api.cloud.onidel.com/vm/{vm_id}/stop"
payload = {
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe",
"force_stop": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({team_id: '96616865-475e-4191-aba5-f89f0a4b71fe', force_stop: false})
};
fetch('https://api.cloud.onidel.com/vm/{vm_id}/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"audit_log_id": "0f9c2d1a-3b4e-4c5d-8a6f-7b8c9d0e1f2a"
}Virtual Machines
Stop a VM
Gracefully shut down the VM.
POST
/
vm
/
{vm_id}
/
stop
Stop a VM
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
VM UUID
Body
application/json
Response
Action accepted
Example:
"0f9c2d1a-3b4e-4c5d-8a6f-7b8c9d0e1f2a"
⌘I